package com.sunxung.factoring.entity.sys.systemMsg;

import com.sunxung.factoring.entity.BaseEntity;

/**
 * @description:消息用户关联中间表实体类
 * @author:吴端丽
 * @e-mail:1912942707@qq.com
 * @date:2018年4月3日 上午11:04:23
 */
public class SystemMsgUserRel extends BaseEntity {

    private static final long serialVersionUID = 1L;
    /** 消息ID **/
    private Long systemMsgId;
    /** 接收用户ID **/
    private Long receiverUserId;
    /** 阅读状态 **/
    private Boolean readState;
    /** 接收人是否删除消息 **/
    private Boolean receiverRemove;

    public Long getSystemMsgId() {
        return systemMsgId;
    }

    public void setSystemMsgId(Long systemMsgId) {
        this.systemMsgId = systemMsgId;
    }

    public Long getReceiverUserId() {
        return receiverUserId;
    }

    public void setReceiverUserId(Long receiverUserId) {
        this.receiverUserId = receiverUserId;
    }

    public Boolean getReadState() {
        return readState;
    }

    public void setReadState(Boolean readState) {
        this.readState = readState;
    }

    public Boolean getReceiverRemove() {
        return receiverRemove;
    }

    public void setReceiverRemove(Boolean receiverRemove) {
        this.receiverRemove = receiverRemove;
    }
}
